activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mmg <manjusha.g...@gmail.com>
Subject Can a produce and consumer running on different activemq versions exchange messages?
Date Thu, 10 Apr 2014 08:20:17 GMT
Hi,

Can a produce and consumer running on different activemq versions exchange
messages?
My  consumer is running in latest ActiveMQ version (5.9.0) where as my 
producer is running in ActiveMQ 4.0.1.  I am getting following exception in
consumer 

Exception in thread "ActiveMQ Transport: tcp:///148.147.177.250:61616"
java.lang.IllegalArgumentException: Invalid version: 10, could not load
org.apache.activemq.openwire.v10.MarshallerFactory
        at
org.apache.activemq.openwire.OpenWireFormat.setVersion(OpenWireFormat.java:329)
        at
org.apache.activemq.openwire.OpenWireFormat.renegociatWireFormat(OpenWireFormat.java:569)
        at
org.apache.activemq.transport.WireFormatNegotiator.onCommand(WireFormatNegotiator.java:100)
        at
org.apache.activemq.transport.InactivityMonitor.onCommand(InactivityMonitor.java:122)
        at
org.apache.activemq.transport.TransportSupport.doConsume(TransportSupport.java:87)
        at
org.apache.activemq.transport.tcp.TcpTransport.run(TcpTransport.java:143)
        at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.ClassNotFoundException:
org.apache.activemq.openwire.v10.MarshallerFactory
        at
org.apache.activemq.util.ClassLoading.loadClass(ClassLoading.java:104)
        at
org.apache.activemq.openwire.OpenWireFormat.setVersion(OpenWireFormat.java:327)
        ... 6 more
Thanks,
mmg


Is there any way to fix this issue (other than upgrading producer)?



--
View this message in context: http://activemq.2283324.n4.nabble.com/Can-a-produce-and-consumer-running-on-different-activemq-versions-exchange-messages-tp4680197.html
Sent from the ActiveMQ - User mailing list archive at Nabble.com.

Mime
View raw message